/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCFROM.H__   1.0   15 Aug 1997 14:03:44   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCFROM.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:44   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:24   ZJRD
** 1.0c
** 
****************************************************************************/

// srcfrom.h : header file
//
#ifndef _SRCFROM_H_
#define _SRCFROM_H_

/////////////////////////////////////////////////////////////////////////////
// CSourceBrowseFromDlg dialog

class CSourceBrowseFromDlg : public CDialog
{
// Construction
public:
	CSourceBrowseFromDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSourceBrowseFromDlg)
	enum { IDD = IDD_SRC_BROWSEFROM };
	CListBox	m_lstFunction;
	CListBox	m_lstModule;
	CButton	m_btnPC;
	BOOL	m_bPC;
	CComboBox	m_comboAddr;
	CString	m_strAddr;
	//}}AFX_DATA

// Implementation
protected:
	BOOL CheckSyntax();

	void EnableControl();

	void GetModuleInfo();
	void GetFunctionInfo();

	void GetAddrInfo();
	void SetAddrText();
	
	void SetFromList();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CSourceBrowseFromDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckSrcBrowsefromPc();
	afx_msg void OnSelchangeListSrcBrowsefromModule();
	afx_msg void OnDblclkListSrcBrowsefromFunction();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
